package com.gxzc.zen.api.sys.mapper

import com.gxzc.zen.api.sys.model.SysDict
import com.gxzc.zen.common.base.BaseMapper
import org.apache.ibatis.annotations.Param
import org.springframework.stereotype.Repository

/**
 * <p>
 * 字典表 Mapper 接口
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-28
 */
@Repository
interface SysDictMapper : BaseMapper<SysDict> {
    fun updatePath(@Param("parentId") parentId: Long, @Param("id") id: Long): Int
}
