package com.gxzc.zen.api.sys.service

import com.gxzc.zen.api.sys.model.SysDict
import com.gxzc.zen.common.base.BaseService
import com.gxzc.zen.common.util.common.TreeNode

/**
 * <p>
 * 字典表 服务类
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-28
 */
interface ISysDictService : BaseService<SysDict> {
    fun getRootTree(): TreeNode?

    /**
     * 插入树节点数据
     */
    fun insertTree(entity: SysDict)
}
